
QGIS Application - Bug report #15294

Node tool selects wrong features

2016-07-17 12:36 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23228

Description

Selecting a feature by clicking on it fails in some cases (see screencast).

Associated revisions

Revision 6b279941 - 2016-09-29 01:44 PM - Jürgen Fischer

nodetool: use exact intersect when picking features (fixes #15294)

Revision 2e284c81 - 2016-09-29 01:45 PM - Jürgen Fischer

nodetool: use exact intersect when picking features (fixes #15294)

(cherry picked from commit 6b2799414a3b6434818adc859d3f1363029eb579)

Revision ae76aa60 - 2016-09-29 01:45 PM - Jürgen Fischer

nodetool: use exact intersect when picking features (fixes #15294)

(cherry picked from commit 6b2799414a3b6434818adc859d3f1363029eb579)

Revision 30580ed1 - 2016-09-29 01:46 PM - Jürgen Fischer

nodetool: use exact intersect when picking features (fixes #15294)

(cherry picked from commit 6b2799414a3b6434818adc859d3f1363029eb579)

History

#1 - 2016-07-17 12:39 AM - R. R.

Related: #15075 (Node tool doesn't recognize polygon new extent until feature is saved)

#2 - 2016-07-17 03:59 AM - Giovanni Manghi

- Status changed from Open to Feedback
Hi,

could you provide the dataset (or sample of) where is possible to replicate the issue shown in the video?

It seems also a different, not related issue compared to #15075

#3 - 2016-07-17 05:36 AM - R. R.

- File 15294_2.mp4 added

- File 15294_2.zip added

Please import the attached .shp file into a PostGIS database to reproduce the issue.

#4 - 2016-07-17 07:47 AM - R. R.

- File 15294_3.mp4 added

#5 - 2016-07-23 08:51 AM - R. R.

Hi Giovanni,

can you please change the status from 'Feedback' to 'Open'?

Giovanni Manghi wrote:

Hi,

It seems also a different, not related issue compared to #15075

In both cases selecting features using the node tool fails, but I don't know if this is caused by the same issue or not.

#6 - 2016-09-29 04:47 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"30580ed1e59aa7ada71d69957e035c8eba33f102".

Files

15294_.mp4 2.82 MB 2016-07-16 R. R.

15294_2.zip 6.91 KB 2016-07-17 R. R.

15294_2.mp4 2.86 MB 2016-07-17 R. R.

15294_3.mp4 993 KB 2016-07-17 R. R.
